#include <iostream>
#include <fstream>
using namespace std;
int main()
{
    ifstream f1("DE002.inp");
    ofstream f2("DE002.out");
    long a[100000];
    long n[100000];
    for(long k=1;;k++){
        f1>>n[k];
        if(n[k]==-1){
            break;
        }
        long j=1;
        do{
        a[j]=n[k]%2;
        n[k]=n[k]/2;
        j=j+1;
    }
    while(n[k]>0);
    for(long i=j-1;i>=1;i--){
        f2<<a[i];
    }
    f2<<endl;
    }
    f1.close();
    f2.close();
    return 0;
}
